
TextCritical.net - Feature #2830

Feature # 2784 (Closed): Ability to read multiple works

Word dialog for parallel work doesn't work right

07/10/2020 10:04 PM - Luke Murphey

Status: Closed Start date: 07/10/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.4.0   

Description

Related issues:

Related to TextCritical.net - Bug #2696: Word popup dialog appears too high s... Closed 04/29/2020

History

#1 - 07/11/2020 12:53 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 07/11/2020 01:43 AM - Luke Murphey

- Related to Bug #2696: Word popup dialog appears too high sometimes added

#3 - 07/11/2020 03:09 AM - Luke Murphey

https://stackoverflow.com/questions/6629688/how-do-i-get-the-absolute-position-of-a-mouse-click-from-an-onclick-event-on-the

#4 - 07/11/2020 03:18 AM - Luke Murphey

Qs:

Where would I put the coordinate discover code?

https://acko.net/blog/mouse-handling-and-absolute-positions-in-javascript/

This worked waaaay better

Obs:

Solns:

use layerY: this works better

This is offset a bit when the text is clicked in the lower half-region

Switch to the dialog that always appears at the bottom

Use controlled popup at a ref

https://react.semantic-ui.com/modules/popup/#usage-context-controlled

#5 - 07/11/2020 05:59 PM - Luke Murphey

https://acko.net/blog/mouse-handling-and-absolute-positions-in-javascript/
https://stackoverflow.com/questions/6629688/how-do-i-get-the-absolute-position-of-a-mouse-click-from-an-onclick-event-on-the
https://acko.net/blog/mouse-handling-and-absolute-positions-in-javascript/
https://react.semantic-ui.com/modules/popup/#usage-context-controlled
#6 - 07/13/2020 05:46 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
